Bug 638522

Summary: CVE-2010-2808 CVE-2010-2806 CVE-2010-2805 CVE-2010-3311 freetype various flaws [fedora-all]
Product: [Fedora] Fedora Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: freetypeAssignee: Marek Kašík <mkasik>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 13CC: apodtele, behdad, fonts-bugs, kevin, mkasik
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: freetype-2.3.11-6.fc12 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-10-13 12:47:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 621907, 621980, 623625, 625626    

Description Huzaifa S. Sidhpurwala 2010-09-29 09:05:43 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=621907

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Huzaifa S. Sidhpurwala 2010-09-29 09:06:07 UTC
    Adding parent bug CVE-2010-2806
    New bodhi update url:
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=621907,621980

Comment 2 Huzaifa S. Sidhpurwala 2010-09-29 09:06:26 UTC
    Adding parent bug CVE-2010-2805
    New bodhi update url:
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=621907,621980,625626

Comment 3 Huzaifa S. Sidhpurwala 2010-09-30 15:15:06 UTC
    Adding parent bug CVE-2010-3311
    New bodhi update url:
   
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=621907,621980,625626,623625

Comment 4 Fedora Update System 2010-10-04 14:10:22 UTC
freetype-2.3.11-6.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/freetype-2.3.11-6.fc12

Comment 5 Fedora Update System 2010-10-04 14:11:19 UTC
freetype-2.3.11-6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/freetype-2.3.11-6.fc13

Comment 6 Alexei Podtelezhnikov 2010-10-05 03:27:19 UTC
I personally run 2.4.3 already, which is perfectly compatible

Comment 7 Fedora Update System 2010-10-05 09:25:19 UTC
freetype-2.3.11-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freetype'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/freetype-2.3.11-6.fc13

Comment 8 Kevin Kofler 2010-10-05 13:27:54 UTC
What's the status of this on Fedora 14 and Rawhide? They're currently at 2.4.2, upstream released 2.4.3 (see bug 639906), is that needed to fix some or all of these issues? If so, can you please upgrade F14 and Rawhide to 2.4.3?

Comment 9 Marek Kašík 2010-10-05 16:00:50 UTC
All those CVEs should be fixed in freetype-2.4.2, but I'm not sure about CVE-2010-3311. I'll test it tomorrow.

Marek

Comment 10 Fedora Update System 2010-10-06 17:24:33 UTC
freetype-2.4.2-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/freetype-2.4.2-3.fc14

Comment 11 Marek Kašík 2010-10-06 17:27:47 UTC
Hi,

I tested the freetype 2.4.2 for CVE-2010-3311 and it was not fixed. I've committed and built a fix. The version of the fix is freetype-2.4.2-3.fc14 and freetype-2.4.2-3.fc15.

Marek

Comment 12 Fedora Update System 2010-10-13 12:47:36 UTC
freetype-2.4.2-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-10-19 07:22:45 UTC
freetype-2.3.11-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-11-01 20:53:11 UTC
freetype-2.3.11-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.